# Custom Remo.TV controller code

# Generic imports
import time
import os

# Servo setup
from gpiozero import Servo
rightEyebrowServo = Servo(26)
leftEyebrowServo = Servo(24)
smusherServo =  Servo(12)
smusherServo.max()
leftEyebrowServo.detach()
rightEyebrowServo.detach()
smusherServo.detach()

# Eyebrow positions
# Sad eyebrow position
def sad():
    rightEyebrowServo.min()
    leftEyebrowServo.max()

# Neutral eyebrow position
def neutral():
    rightEyebrowServo.mid()
    leftEyebrowServo.mid()

# Angry eyebrow position
def angry():
    rightEyebrowServo.max()
    leftEyebrowServo.min()

# Sceptic eyebrow position
def sceptic():
    rightEyebrowServo.mid()
    leftEyebrowServo.max()

# Detaches the power from the servos to stop them from shaking
def detachServos():
    leftEyebrowServo.detach()
    rightEyebrowServo.detach()
    smusherServo.detach()

# Moves the smushing servo that holds the fire
def smush():
    smusherServo.min()
    time.sleep(1)
    smusherServo.max()
    time.sleep(1)
    detachServos()

# The robot setup which we've somehow left empty :)
def setup(robot_config):
    return

# This bit is executed when someone presses a button on Remo.TV
def move(args):
    angry()
    time.sleep(1)
    detachServos()
    smush()
    detachServos()
    sad()
    time.sleep(1)
    detachServos()
    time.sleep(1)
    return
